<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
  <head>
    <meta name="layout" content="orderMain"/>
    <title>検索</title>
  </head>
  <body>
    <div class="body">
      <h1>書籍検索</h1>
      <g:form action="search">
        <div class="dialog">
          <table>
            <tbody>
              <tr>
                <td valign="top" class="name">
                  <label for="title">タイトル:</label>
                </td>
                <td valign="top" class="value ${hasErrors(bean:book,field:'title','errors')}">
                  <g:textField name="title" value="${title}"/>
                </td>
                <td valign="top" class="name">
                  <label for="author">著者:</label>
                </td>
                <td valign="top" class="value ${hasErrors(bean:book,field:'author','errors')}">
                  <g:textField name="author" value="${author}"/>
                </td>
                <td valign="top" class="name">
                  <label for="publisher">出版社:</label>
                </td>
                <td valign="top" class="value ${hasErrors(bean:book,field:'price','errors')}">
                  <g:textField name="publisher" value="${publisher}"/>
                </td>
                <td valign="top" class="name">
                  <label for="isbn13">ISBN13:</label>
                </td>
                <td valign="top" class="value ${hasErrors(bean:book,field:'isbn13','errors')}">
                  <g:textField name="isbn13" value="${isbn13}"/>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="buttons">
          <g:submitButton name="doSearch" value="検索"/>
        </div>
      </g:form>

      <g:if test="${searchResult != null}">
        <h1>検索結果</h1>
        <g:if test="${!searchResult.isEmpty()}">
          <div class="list">
            <table>
              <thead>
                <tr>
                  <th>No.</th>
                  <th>タイトル</th>
                  <th>著者</th>
                  <th></th>
                  <th></th>
                </tr>
              <thead>
              <tbody>
                <g:each in="${searchResult}" status="i" var="book">
                  <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                    <td>${i + 1}</td>
                    <td>${book.title?.encodeAsHTML()}</td>
                    <td>${book.author?.encodeAsHTML()}</td>
                    <td><g:link action="search" event="detail" id="${book.id}">詳細</g:link></td>
                    <td><g:link action="search" event="toCart" id="${book.id}">カートに入れる</g:link></td>
                  </tr>
                </g:each>
              </tbody>
            </table>
          </div>
        </g:if>
        <g:else>
          <div class="message">検索条件に合う書籍は見つかりませんでした。</div>
        </g:else>
      </g:if>

      <g:if test="${toCart}">
        <div class="message">カートに追加しました。</div>
      </g:if>
    </div>
  </body>
</html>
